"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValidationError = void 0;

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* eslint no-unused-vars: 0 */
// Interfaces are empty, disable for whole file

/**
 * The `errors` module contains any error classes used by Analytics Integrations.
 * @module progressive-web-sdk/dist/analytics-integrations/errors
 */

/**
 * The user did not supply the required field.
 *
 * @param {String} field
 */
class ValidationError extends Error {
  constructor(field) {
    super(`Missing required field ${field || ''}.`);
  }

}

exports.ValidationError = ValidationError;