"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _index = _interopRequireDefault(require("./index.jsx"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
test('Badge renders without errors', () => {
  const wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_index.default, {
    title: "test"
  }));
  expect(wrapper.length).toBe(1);
});
/* eslint-disable newline-per-chained-call */

test('includes the component class name with no className prop', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    title: "test"
  }));
  expect(wrapper.hasClass('pw-badge')).toBe(true);
});
test("does not render an 'undefined' class with no className", () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    title: "test"
  }));
  expect(wrapper.hasClass('undefined')).toBe(false);
});
test('renders the contents of the className prop if present', () => {
  ;
  ['test', 'test another'].forEach(name => {
    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
      className: name,
      title: "test"
    }));
    expect(wrapper.hasClass(name)).toBe(true);
  });
});
test('renders the contents of the title prop if present', () => {
  ;
  ['test', 'test another'].forEach(title => {
    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
      title: title
    }));
    expect(wrapper.find('.u-visually-hidden').length).toBe(1);
    expect(wrapper.find('.u-visually-hidden').text()).toBe(title);
  });
});
test('renders the contents of the children prop if present', () => {
  ;
  ['test', 'test another'].forEach(text => {
    const content = /*#__PURE__*/_react.default.createElement("span", {
      className: "x-test"
    }, text);

    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
      title: ""
    }, content));
    expect(wrapper.find('.x-test').length).toBe(1);
    expect(wrapper.find('.x-test').text()).toBe(text);
  });
});