"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * A badge is a simple, circular element used to display small amounts of
 * important information, such as the number of items in a cart.
 *
 * @example ./DESIGN.md
 */
const Badge = ({
  className,
  title,
  children
}) => {
  const classes = (0, _classnames.default)('pw-badge', className);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, /*#__PURE__*/_react.default.createElement("span", {
    "aria-hidden": "true"
  }, children), title && /*#__PURE__*/_react.default.createElement("span", {
    className: "u-visually-hidden"
  }, title));
};

Badge.propTypes = {
  /**
   * The title provides text for user agents like screen readers.
   */
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]).isRequired,

  /**
   * Any children to be nested within this Badge. **WARNING!** This is
   * intentionally hidden from screen readers! Use the `title` to provide
   * meaningful text instead.
   */
  children: _propTypes.default.node,

  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string
};
var _default = Badge;
exports.default = _default;