"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _button = _interopRequireDefault(require("../button"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * Accessible `Banner` component that includes promo and alert styles
 *
 * @example ./DESIGN.md
 */
const Banner = ({
  children,
  className,
  icon,
  isAlert,
  href,
  title,
  onClick
}) => {
  const classes = (0, _classnames.default)('pw-banner', className, {
    'pw--alert': isAlert
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "pw-banner__content"
  }, children), /*#__PURE__*/_react.default.createElement("div", {
    className: "pw-banner__action"
  }, /*#__PURE__*/_react.default.createElement(_button.default, {
    className: "pw-banner__button",
    href: href,
    icon: icon,
    title: title,
    onClick: onClick
  })));
};

Banner.propTypes = {
  /**
   * Any children to be nested within this banner.
   */
  children: _propTypes.default.node,

  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string,

  /**
   * The intended target URL.
   */
  href: _propTypes.default.string,

  /**
   * Includes an icon of the given name in the banner.
   * For more information about available icons, see the [Icon component](#!/Icon).
   */
  icon: _propTypes.default.string,

  /**
   * Defines if banner is alert.
   */
  isAlert: _propTypes.default.bool,

  /**
   * The title to be used for accessibility.
   */
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),

  /**
   * `onClick` handler for hooking in click events.
   */
  onClick: _propTypes.default.func
};
var _default = Banner;
exports.default = _default;