"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _index = _interopRequireDefault(require("./index"));

var _enzyme = require("enzyme");

/**
 * @jest-environment node
 */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
test('bazaarvoiceWrapper higher order component can render on server side without errors', () => {
  const mockHtml = /*#__PURE__*/_react.default.createElement("div", {
    className: "mock"
  }, "Fake component");

  const mockComponent = () => mockHtml;

  mockComponent.displayName = 'Foo';
  const WrapperComponent = (0, _index.default)(mockComponent);
  expect(() => {
    (0, _enzyme.render)( /*#__PURE__*/_react.default.createElement(WrapperComponent, null));
  }).not.toThrow();
});
test('bazaarvoiceWrapper higher order component should render null on server side', () => {
  const componentContent = 'Fake component';

  const mockHtml = /*#__PURE__*/_react.default.createElement("div", {
    className: "mock"
  }, componentContent);

  const mockComponent = () => mockHtml;

  mockComponent.displayName = 'Foo';
  const WrapperComponent = (0, _index.default)(mockComponent);
  const wrapper = (0, _enzyme.render)( /*#__PURE__*/_react.default.createElement(WrapperComponent, null)); // Component will render nothing as no script is loaded on sever side

  expect(wrapper.html()).toBeFalsy();
});