"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _button = _interopRequireDefault(require("../../button"));

var _icon = _interopRequireDefault(require("../../icon"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
const CarouselButton = ({
  className,
  buttonClass,
  onClick,
  disabled,
  icon,
  iconSize,
  title,
  analyticsContent
}) => {
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className
  }, /*#__PURE__*/_react.default.createElement(_button.default, {
    className: buttonClass,
    onClick: onClick,
    disabled: disabled,
    "data-analytics-name": "carousel",
    "data-analytics-content": analyticsContent
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    name: icon,
    size: iconSize,
    title: title
  })));
};

CarouselButton.propTypes = {
  analyticsContent: _propTypes.default.string,
  buttonClass: _propTypes.default.string,
  className: _propTypes.default.string,
  disabled: _propTypes.default.bool,
  icon: _propTypes.default.string,
  iconSize: _propTypes.default.string,
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  onClick: _propTypes.default.func
};
var _default = CarouselButton;
exports.default = _default;