"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * A horizontal rule element that can display an optional label as a heading.
 *
 * @example ./DESIGN.md
 */
const Divider = props => {
  const {
    className,
    label
  } = props;
  const classes = (0, _classnames.default)('pw-divider', {
    'pw--no-label': !props.label
  }, className);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, !!label && /*#__PURE__*/_react.default.createElement("span", {
    className: "pw-divider__text"
  }, label));
};

Divider.propTypes = {
  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string,

  /**
   * Label to be displayed as Divider's heading.
   */
  label: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node])
};
var _default = Divider;
exports.default = _default;