"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * Related components:
 *
 * * [HeaderBar](#!/HeaderBar)
 * * [HeaderBarTitle](#!/HeaderBarTitle)
 *
 * This contains the actions in `HeaderBar` (menu, search, etc).
 * It gives developers the flexibility of adding other components as its content.
 * Common components used inside `HeaderBarActions` are `Button` and `Icon`.
 *
 * @example ./DESIGN.md
 */
const HeaderBarActions = ({
  children,
  className
}) => {
  const classes = (0, _classnames.default)('pw-header-bar__actions', className);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, children);
};

HeaderBarActions.propTypes = {
  /**
   * The contents of the header bar.
   */
  children: _propTypes.default.node.isRequired,

  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string
};
var _default = HeaderBarActions;
exports.default = _default;