"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _link = _interopRequireDefault(require("../link"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * Related components:
 *
 * * [HeaderBarActions](#!/HeaderBarActions)
 * * [HeaderBar](#!/HeaderBar)
 *
 * This contains the title in `HeaderBar`. It can render as plain text or link.
 * It gives developers the flexibility of adding other components as its content.
 *
 * @example ./DESIGN.md
 */
const HeaderBarTitle = ({
  href,
  children,
  className
}) => {
  const classes = (0, _classnames.default)('pw-header-bar__title', className);

  if (href) {
    return /*#__PURE__*/_react.default.createElement(_link.default, {
      href: href,
      className: classes
    }, children);
  } else {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: classes
    }, children);
  }
};

HeaderBarTitle.propTypes = {
  /**
   * The contents of the header bar.
   */
  children: _propTypes.default.node.isRequired,

  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string,

  /**
   * If provided, the title will be wrapped in a link.
   */
  href: _propTypes.default.string
};
var _default = HeaderBarTitle;
exports.default = _default;