"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * Related components:
 *
 * * [HeaderBarActions](#!/HeaderBarActions)
 * * [HeaderBarTitle](#!/HeaderBarTitle)
 *
 * `HeaderBar` is a component that can contain actions (`HeaderBarActions`)
 * and a title (`HeaderBarTitle`)
 *
 * @example ./DESIGN.md
 */
const HeaderBar = ({
  children,
  className
}) => {
  const classes = (0, _classnames.default)('pw-header-bar', className);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, children);
};

HeaderBar.propTypes = {
  /**
   * The contents of the header bar.
   */
  children: _propTypes.default.node.isRequired,

  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string
};
var _default = HeaderBar;
exports.default = _default;