"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _link = _interopRequireDefault(require("../link"));

var _index = require("./index");

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* eslint-disable newline-per-chained-call */
test('HeaderBarTitle renders without errors', () => {
  const wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarTitle, null, /*#__PURE__*/_react.default.createElement("h1", null, "Test")));
  expect(wrapper.length).toBe(1);
});
test('HeaderBarTitle includes the component class name with no className prop', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarTitle, null, /*#__PURE__*/_react.default.createElement("h1", null, "Test")));
  expect(wrapper.hasClass('pw-header-bar__title')).toBe(true);
});
test("HeaderBarTitle does not render an 'undefined' class with no className", () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarTitle, null, /*#__PURE__*/_react.default.createElement("h1", null, "Test")));
  expect(wrapper.hasClass('undefined')).toBe(false);
});
test('HeaderBarTitle renders the contents of the className prop if present', () => {
  ;
  ['test', 'test another'].forEach(name => {
    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarTitle, {
      className: name
    }, /*#__PURE__*/_react.default.createElement("h1", null, "Test")));
    expect(wrapper.hasClass(name)).toBe(true);
  });
});
test('HeaderBarTitle renders a div with the given children with no href', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarTitle, null, /*#__PURE__*/_react.default.createElement("span", null, "a"), /*#__PURE__*/_react.default.createElement("div", null, "b")));
  expect(wrapper.is('div')).toBe(true);
  expect(wrapper.children().contains( /*#__PURE__*/_react.default.createElement("span", null, "a"))).toBe(true);
  expect(wrapper.children().contains( /*#__PURE__*/_react.default.createElement("div", null, "b"))).toBe(true);
});
test('HeaderBarTitle renders a Link with the given children with an href', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarTitle, {
    href: "http://mobify.com/"
  }, /*#__PURE__*/_react.default.createElement("span", null, "a"), /*#__PURE__*/_react.default.createElement("div", null, "b")));
  expect(wrapper.is(_link.default)).toBe(true);
  expect(wrapper.prop('href')).toBe('http://mobify.com/');
  expect(wrapper.children().contains( /*#__PURE__*/_react.default.createElement("span", null, "a"))).toBe(true);
  expect(wrapper.children().contains( /*#__PURE__*/_react.default.createElement("div", null, "b"))).toBe(true);
});
test('HeaderBarActions renders without errors', () => {
  const wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarActions, null, /*#__PURE__*/_react.default.createElement("a", {
    href: "/"
  }, "Test")));
  expect(wrapper.length).toBe(1);
});
test('HeaderBarActions includes the component class name with no className prop', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarActions, null, /*#__PURE__*/_react.default.createElement("a", {
    href: "/"
  }, "Test")));
  expect(wrapper.hasClass('pw-header-bar__actions')).toBe(true);
});
test("HeaderBarActions does not render an 'undefined' class with no className", () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarActions, null, /*#__PURE__*/_react.default.createElement("a", {
    href: "/"
  }, "Test")));
  expect(wrapper.hasClass('undefined')).toBe(false);
});
test('HeaderBarActions renders the contents of the className prop if present', () => {
  ;
  ['test', 'test another'].forEach(name => {
    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarActions, {
      className: name
    }, /*#__PURE__*/_react.default.createElement("a", {
      href: "/"
    }, "Test")));
    expect(wrapper.hasClass(name)).toBe(true);
  });
});
test('HeaderBarActions renders a div with the given children', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBarActions, null, /*#__PURE__*/_react.default.createElement("span", null, "a"), /*#__PURE__*/_react.default.createElement("div", null, "b")));
  expect(wrapper.is('div')).toBe(true);
  expect(wrapper.children().contains( /*#__PURE__*/_react.default.createElement("span", null, "a"))).toBe(true);
  expect(wrapper.children().contains( /*#__PURE__*/_react.default.createElement("div", null, "b"))).toBe(true);
});
test('HeaderBar renders without errors', () => {
  const wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_index.HeaderBar, null, /*#__PURE__*/_react.default.createElement("h1", null, "Test")));
  expect(wrapper.length).toBe(1);
});
test('includes the component class name with no className prop', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBar, null, /*#__PURE__*/_react.default.createElement("h1", null, "Test")));
  expect(wrapper.hasClass('pw-header-bar')).toBe(true);
});
test("does not render an 'undefined' class with no className", () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBar, null, /*#__PURE__*/_react.default.createElement("h1", null, "Test")));
  expect(wrapper.hasClass('undefined')).toBe(false);
});
test('renders the contents of the className prop if present', () => {
  ;
  ['test', 'test another'].forEach(name => {
    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBar, {
      className: name
    }, /*#__PURE__*/_react.default.createElement("h1", null, "Test")));
    expect(wrapper.hasClass(name)).toBe(true);
  });
});
test('HeaderBar renders a div with the given children', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.HeaderBar, null, /*#__PURE__*/_react.default.createElement("span", null, "a"), /*#__PURE__*/_react.default.createElement("div", null, "b")));
  expect(wrapper.is('div')).toBe(true);
  expect(wrapper.children().contains( /*#__PURE__*/_react.default.createElement("span", null, "a"))).toBe(true);
  expect(wrapper.children().contains( /*#__PURE__*/_react.default.createElement("div", null, "b"))).toBe(true);
});