"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _listTile = _interopRequireDefault(require("../list-tile"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

/**
 * The `List` component is used to enclose a series of related items, providing a
 * consistent balance of space and separation between each item.
 *
 * @example ./DESIGN.md
 */
const List = ({
  items,
  className,
  clickHandler,
  component,
  children
}) => {
  const classes = (0, _classnames.default)('pw-list', className);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, _react.default.Children.count(children) ? children : items.map((item, idx) => {
    const componentToRender = item.component || component || _listTile.default; // eslint-disable-next-line

    return /*#__PURE__*/_react.default.createElement(componentToRender, _objectSpread({
      key: idx,
      onClick: (...args) => clickHandler(idx, ...args),
      children: item.children || item.title
    }, item));
  }));
};

List.defaultProps = {
  items: []
};
List.propTypes = {
  /**
   * Any children to be nested within the List.
   */
  children: _propTypes.default.oneOfType([_propTypes.default.arrayOf(_propTypes.default.node), _propTypes.default.node]),

  /**
   * The CSS class/classes to be applied to the root element.
   */
  className: _propTypes.default.string,

  /**
   * A function to be called when an item in the list is
   * clicked. Not called if the item has an `href` set, or if
   * children are passed directly.
   */
  clickHandler: _propTypes.default.func,

  /**
   * The component to render for each item.
   * By default, List will render ListTiles.
   * If an item has a component prop defined within its data,
   * that component will be rendered instead.
   */
  component: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.string]),

  /**
   * An array of the items that should be rendered.
   */
  items: _propTypes.default.arrayOf(_propTypes.default.object)
};
var _default = List;
exports.default = _default;