"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * This component is used to show current and previous prices.
 * Prices can be displayed in a row or stacked.
 *
 * @example ./DESIGN.md
 */
const Price = ({
  current,
  previous,
  isStacked,
  className
}) => {
  const classes = (0, _classnames.default)('pw-price', {
    'pw--stack': isStacked
  }, className);
  const currentClass = (0, _classnames.default)(`pw-price__current`, {
    'pw--reduced': previous
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, current && /*#__PURE__*/_react.default.createElement("div", {
    className: currentClass
  }, current), previous && /*#__PURE__*/_react.default.createElement("div", {
    className: "pw-price__previous"
  }, previous));
};

Price.propTypes = {
  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string,

  /**
   * The current price.
   */
  current: _propTypes.default.node,

  /**
   * Defines if prices are stacked.
   */
  isStacked: _propTypes.default.bool,

  /**
   * The previous price.
   */
  previous: _propTypes.default.node
};
var _default = Price;
exports.default = _default;