"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _link = _interopRequireDefault(require("../../link"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
const ProgressStepsStep = ({
  href,
  className,
  children,
  onClick
}) => {
  if (href || onClick) {
    return /*#__PURE__*/_react.default.createElement(_link.default, {
      href: href,
      onClick: onClick,
      className: className
    }, children);
  } else {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: className
    }, children);
  }
};

ProgressStepsStep.propTypes = {
  /**
   * The content of the ProgressStepsItem.
   */
  children: _propTypes.default.node,

  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string,

  /**
   * If provided, the ProgressStepsItem will render as a Link to this URL.
   */
  href: _propTypes.default.string,

  /**
   * If provided, the ProgressStepsItem will render as a Link.
   * When clicked, this function will be called.
   */
  onClick: _propTypes.default.func
};
var _default = ProgressStepsStep;
exports.default = _default;