"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _ratingIcon = _interopRequireDefault(require("./partials/rating-icon"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * Commonly used to display user satisfaction of products or services.
 */
const Rating = ({
  className,
  count,
  total,
  name,
  src
}) => {
  const ratingPercentage = count / total * 100;
  const classes = (0, _classnames.default)('pw-rating', className);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "pw-rating__label"
  }, "Rating is ", count, " out of ", total), /*#__PURE__*/_react.default.createElement("div", {
    className: "pw-rating__icon-wrapper",
    role: "presentation",
    "aria-hidden": "true"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "pw-rating__filled-icons",
    style: {
      width: `${ratingPercentage}%`
    }
  }, Array(total).fill().map((item, i) => /*#__PURE__*/_react.default.createElement(_ratingIcon.default, {
    key: i,
    name: name,
    src: src,
    modifierClass: "pw--filled"
  }))), Array(total).fill().map((item, i) => /*#__PURE__*/_react.default.createElement(_ratingIcon.default, {
    key: i,
    name: name,
    src: src
  }))));
};

Rating.defaultProps = {
  count: 0,
  total: 5,
  name: 'star'
};
Rating.propTypes = {
  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string,

  /**
   * The number of filled stars to render (can be a fraction).
   */
  count: _propTypes.default.number,

  /**
   * Name of the SVG sprite you want to use for the rating star.
   * Not used if the src prop is set.
   */
  name: _propTypes.default.string,

  /**
   * URL for the image icon to use for the rating star.
   * If not provided, the SVG icon described by the `name` prop is used.
   */
  src: _propTypes.default.string,

  /**
   * The total number of stars to render.
   */
  total: _propTypes.default.number
};
var _default = Rating;
exports.default = _default;