"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../../icon"));

var _image = _interopRequireDefault(require("../../image"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * Rating is used to display an average user satisfaction level of a product, it
 * is the summary of the ratings given by users in the product reviews section.
 *
 * @example ./DESIGN.md
 */
const RatingIcon = ({
  name,
  src,
  modifierClass
}) => {
  const iconClasses = (0, _classnames.default)('pw-rating__icon', modifierClass);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: iconClasses
  }, src ? /*#__PURE__*/_react.default.createElement(_image.default, {
    role: "presentation",
    src: src
  }) : /*#__PURE__*/_react.default.createElement(_icon.default, {
    name: name
  }));
};

RatingIcon.propTypes = {
  /**
   * PROVIDED INTERNALLY: The addtional classes to be used for the RatingIcon div
   */
  modifierClass: _propTypes.default.string,

  /**
   * PROVIDED INTERNALLY: The name of the icon to be used
   */
  name: _propTypes.default.string,

  /**
   * PROVIDED INTERNALLY: The URL of the image to be used. Icon is used otherwise.
   */
  src: _propTypes.default.string
};
RatingIcon.displayName = 'RatingIcon';
var _default = RatingIcon;
exports.default = _default;