"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _index = _interopRequireWildcard(require("./index.jsx"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
const invalidPropError = 'The aspect prop must contain a ":" character between two positive integers, for example 4:3';
test('Ratio renders without errors', () => {
  const wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_index.default, null));
  expect(wrapper.length).toBe(1);
});
/* eslint-disable newline-per-chained-call */

test('includes the component class name with no className prop', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, null));
  expect(wrapper.hasClass('pw-ratio')).toBe(true);
});
test('renders the contents of the className prop if present', () => {
  ;
  ['test', 'test another'].forEach(name => {
    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
      className: name
    }));
    expect(wrapper.hasClass(name)).toBe(true);
  });
});
test('renders the aspect ratio as a `padding-bottom` percentage on `pw-ratio__fill`', () => {
  const wrapper1 = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    aspect: "4:3"
  }));
  const wrapper2 = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    width: "4",
    height: "3"
  }));
  const ratioPercent = '75%';
  expect(wrapper1.find('.pw-ratio__fill').prop('style').paddingBottom).toBe(ratioPercent);
  expect(wrapper2.find('.pw-ratio__fill').prop('style').paddingBottom).toBe(ratioPercent);
});
test('fails propType validation if aspect prop does not contain ":"', () => {
  expect((0, _index.aspectPropType)({
    aspect: '43'
  }, 'aspect')).toEqual(new Error(invalidPropError));
});
test('fails propType validation if aspect prop has non integer values', () => {
  expect((0, _index.aspectPropType)({
    aspect: '4a:3b'
  }, 'aspect')).toEqual(new Error(invalidPropError));
});
test('fails propType validation if aspect prop has non positive integer values', () => {
  expect((0, _index.aspectPropType)({
    aspect: '0:4'
  }, 'aspect')).toEqual(new Error(invalidPropError));
});
test('fails propType validation if aspect prop has integer with leading zeroes', () => {
  expect((0, _index.aspectPropType)({
    aspect: '16:08'
  }, 'aspect')).toEqual(new Error(invalidPropError));
});