"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _listTile = _interopRequireDefault(require("../../list-tile"));

var _tile = _interopRequireDefault(require("../../tile"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const SearchSuggestionsInner = ({
  clickSuggestion,
  onClickSuggestion,
  productSuggestions,
  suggestedProductsHeading,
  suggestedTermHeading,
  termSuggestions
}) => {
  return (
    /*#__PURE__*/

    /*
     * Adding tabIndex to prevent focus from accidentally escaping. For
     * example, when clicking inside things in the suggestion list that
     * don't have click handlers.
     */
    _react.default.createElement("div", {
      tabIndex: "0"
    }, termSuggestions && /*#__PURE__*/_react.default.createElement("div", {
      className: "pw-search__term-suggestions"
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: "pw-search__suggestion-heading"
    }, suggestedTermHeading), /*#__PURE__*/_react.default.createElement("ul", {
      className: "pw-search__suggestion-list"
    }, termSuggestions.map((suggestion, index) => {
      const suggestionProps = _objectSpread({}, suggestion);

      if (onClickSuggestion) {
        suggestionProps.onClick = clickSuggestion;
      }

      return /*#__PURE__*/_react.default.createElement("li", {
        key: index,
        className: "pw-search__suggestion"
      }, /*#__PURE__*/_react.default.createElement(_listTile.default, suggestionProps));
    }))), productSuggestions && /*#__PURE__*/_react.default.createElement("div", {
      className: "pw-search__product-suggestions"
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: "pw-search__suggestion-heading"
    }, suggestedProductsHeading), /*#__PURE__*/_react.default.createElement("ul", {
      className: "pw-search__suggestion-list"
    }, productSuggestions.map((suggestion, index) => {
      const suggestionProps = _objectSpread({}, suggestion);

      if (onClickSuggestion) {
        suggestionProps.onClick = clickSuggestion;
      }

      return /*#__PURE__*/_react.default.createElement("li", {
        key: index,
        className: "pw-search__suggestion"
      }, /*#__PURE__*/_react.default.createElement(_tile.default, suggestionProps));
    }))))
  );
};

SearchSuggestionsInner.propTypes = {
  clickSuggestion: _propTypes.default.func,
  productSuggestions: _propTypes.default.array,
  suggestedProductsHeading: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  suggestedTermHeading: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.node]),
  termSuggestions: _propTypes.default.array,
  onClickSuggestion: _propTypes.default.func
};
var _default = SearchSuggestionsInner;
exports.default = _default;