"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactOnclickoutside = _interopRequireDefault(require("react-onclickoutside"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
class SearchWrapper extends _react.default.Component {
  constructor(props) {
    super(props);
    this.handleBlur = this.handleBlur.bind(this);
  }

  handleClickOutside() {
    this.props.onClickOutside();
  } // This function is responsible for ensuring this component remains
  // accessible. Specifically, when a user "tabs" into and then out of the
  // parent Search component, the Search component should become unfocused
  // (i.e. the overlay mask should disappear)


  handleBlur() {
    setTimeout(() => {
      const focusIsInWrapper = this._wrapper.contains(document.activeElement);
      /* istanbul ignore else */


      if (!focusIsInWrapper) {
        this.props.onClickOutside();
      }
    }, 0);
  }

  render() {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: "pw-search__inner",
      ref: el => {
        this._wrapper = el;
      },
      onBlur: this.handleBlur
    }, this.props.children);
  }

}

SearchWrapper.propTypes = {
  children: _propTypes.default.node,
  submitSearch: _propTypes.default.func,
  onChange: _propTypes.default.func,
  onClickOutside: _propTypes.default.func
};

var _default = (0, _reactOnclickoutside.default)(SearchWrapper);

exports.default = _default;