"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _selectLabel = _interopRequireDefault(require("./select-label"));

var _selectOption = _interopRequireDefault(require("./select-option"));

var _icon = _interopRequireDefault(require("../icon"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const noop = () => undefined;
/**
 * <strong style="color:red; font-size:20px;">Deprecated.</strong>
 * This component is deprecated in favour of a native `select`
 * element in a Form component.
 *
 * Select is a dropdown component that simulates the behavior of a standard HTML
 * `select` tag, but with some unique features: easier to customize its visual
 * appearance, and the ability to accept options as a Javascript Array.
 */


const Select = ({
  className,
  label,
  iconProps,
  isDisabled,
  isRequired,
  onBlur,
  onChange,
  options,
  selectedIndex,
  // Attributes
  id,
  multiple,
  name
}) => {
  console.warn('Select component is deprecated and will be removed from the Progressive Web SDK by v1.0.0');
  const classes = (0, _classnames.default)('pw-select c-select', className, {
    'pw--inner-label c--inner-label': label,
    'pw--disabled c--disabled': isDisabled,
    'pw--required c--required': isRequired
  });
  const iconClasses = (0, _classnames.default)('pw-select__icon c-select__icon', _objectSpread({}, iconProps.className));
  const attrs = {
    id,
    multiple,
    name
  };
  let defaultVal;

  if (options.length) {
    defaultVal = multiple ? [options[selectedIndex].value] : options[selectedIndex].value;
  }

  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes
  }, /*#__PURE__*/_react.default.createElement(_selectLabel.default, {
    htmlFor: id,
    label: label
  }), /*#__PURE__*/_react.default.createElement("select", (0, _extends2.default)({}, attrs, {
    className: "pw-select__select c-select__select",
    onBlur: onBlur,
    onChange: onChange,
    defaultValue: defaultVal,
    disabled: isDisabled,
    required: isRequired
  }), options.map((option, index) => /*#__PURE__*/_react.default.createElement(_selectOption.default, (0, _extends2.default)({}, option, {
    key: index
  })))), /*#__PURE__*/_react.default.createElement(_icon.default, (0, _extends2.default)({}, iconProps, {
    className: iconClasses,
    name: iconProps.name || 'caret-bottom'
  })));
};

Select.defaultProps = {
  iconProps: {},
  onChange: noop,
  options: [],
  selectedIndex: 0
};
Select.propTypes = {
  /**
   * The list of options for the select element
   *
   * Each option should be an object with the structure:
   *
   * value: (required) A string containing the value of the option
   *
   * text: (optional) A string containing the text of the option
   *
   * If text is not passed, the value will be used as the text
   */
  options: _propTypes.default.arrayOf(_propTypes.default.shape({
    value: _propTypes.default.string.isRequired,
    text: _propTypes.default.string
  })).isRequired,

  /**
   * add classes ie. 'c-test-class c-test-class__modifier' for the root element
   */
  className: _propTypes.default.string,

  /**
   * The name of the icon displayed in the Select component
   */
  iconProps: _propTypes.default.object,

  /**
   * The value for the ID attribute on the `select` element
   */
  id: _propTypes.default.string,

  /**
   * pass in boolean, determines whether `select` will have disabled property
   */
  isDisabled: _propTypes.default.bool,

  /**
   * pass in boolean, determines whether `select` will have required property
   */
  isRequired: _propTypes.default.bool,

  /**
   * if label string exists a `label` will be rendered with the passed in string as its text
   */
  label: _propTypes.default.string,

  /**
   * The value for the multiple attribute on the `select` element (https://developer.mozilla.org/en/docs/Web/HTML/Element/select#Attributes)
   */
  multiple: _propTypes.default.bool,

  /**
   * The value for the name attribute on the `select` element
   */
  name: _propTypes.default.string,

  /**
   * pass in a number to initialize the select with the option at that index
   */
  selectedIndex: _propTypes.default.number,

  /**
   * function to pass in that triggers on the onBlur hook. This is preferred
   * over onChange for a11y.
   */
  onBlur: _propTypes.default.func,

  /**
   * function to pass in that triggers on the onChange hook
   */
  onChange: _propTypes.default.func
};
var _default = Select;
exports.default = _default;