"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

/**
 * Related components:
 *
 * * [SkeletonBlock](#!/SkeletonBlock)
 * * [SkeletonText](#!/SkeletonText)
 *
 * An inline skeleton component respects text properties such as line-height
 * and font-size (which effectively becomes the height).
 */
const SkeletonInline = props => {
  const classes = (0, _classnames.default)(`pw-skeleton-inline`, props.className);

  const styles = _objectSpread({
    fontSize: props.size,
    width: props.width
  }, props.style);

  const attributes = {
    role: 'presentation',
    className: classes,
    style: styles
  }; // Add an href to the element's attributes if we're rendering an anchor

  if (props.type === 'a') {
    attributes.href = '#';
  }

  return /*#__PURE__*/_react.default.createElement(props.type, attributes);
};

SkeletonInline.defaultProps = {
  size: 'inherit',
  type: 'span',
  width: '100%'
};
SkeletonInline.propTypes = {
  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string,

  /**
   * Specifies the font-size (effectively the height) of the skeleton, in any valid dimension type.
   */
  size: _propTypes.default.string,

  /**
   * Specifies any inline styles to be applied to the element.
   */
  style: _propTypes.default.object,

  /**
   * Specifies the element type to be constructed.
   */
  type: _propTypes.default.string,

  /**
   * Specifies the width of the skeleton's children's width, in any valid dimension type.
   */
  width: _propTypes.default.string
};
var _default = SkeletonInline;
exports.default = _default;