"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _index = _interopRequireDefault(require("./index.jsx"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
const skeletonInlineClass = '.pw-skeleton-inline';
test('SkeletonInline renders without errors', () => {
  const wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_index.default, null));
  expect(wrapper.length).toBe(1);
});
test('includes the component class name with no className prop', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, null));
  expect(wrapper.find(skeletonInlineClass).length).toBe(1);
});
test("does not render an 'undefined' class with no className", () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, null));
  expect(wrapper.find(skeletonInlineClass).hasClass('undefined')).toBe(false);
});
test('renders the contents of the className prop if present', () => {
  ;
  ['test', 'test another'].forEach(name => {
    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
      className: name
    }));
    expect(wrapper.find(skeletonInlineClass).hasClass(name)).toBe(true);
  });
});
test('SkeletonInline renders with correct font size', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    size: "16px"
  }));
  expect(wrapper.find(skeletonInlineClass).prop('style').fontSize).toBe('16px');
});
test('SkeletonInline renders with correct width', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    width: "25%"
  }));
  expect(wrapper.find(skeletonInlineClass).prop('style').width).toBe('25%');
});
test('SkeletonInline renders with correct custom styles', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    style: {
      color: 'darksalmon'
    }
  }));
  expect(wrapper.find(skeletonInlineClass).prop('style').color).toBe('darksalmon');
});
test('SkeletonInline renders with correct element', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    type: "h1"
  }));
  expect(wrapper.find(skeletonInlineClass).type()).toBe('h1');
});
test('SkeletonInline renders with correct href if element type is anchor', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    type: "a"
  }));
  expect(wrapper.find(skeletonInlineClass).prop('href')).toBe('#');
});