"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _index = _interopRequireWildcard(require("./index.jsx"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
const invalidPropError = 'SkipLinks item target is invalid. Must be an ID selector, starting with "#" followed by alphanumeric characters, dashes and underscores with no spaces.';
const itemsStub = [{
  target: '#test1',
  label: 'Test 1'
}, {
  target: '#test2',
  label: 'Test 2'
}, {
  target: '#test3',
  label: 'Test 3'
}];
test('SkipLinks renders without errors', () => {
  const wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_index.default, {
    items: []
  }));
  expect(wrapper.length).toBe(1);
});
/* eslint-disable newline-per-chained-call */

test('includes the component class name with no className prop', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    items: []
  }));
  expect(wrapper.first().prop('className').startsWith('pw-skip-links')).toBe(true);
});
test('creates a link for each item passed to the items prop', () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    items: itemsStub
  }));
  expect(wrapper.find('.pw-skip-links__anchor').length).toBe(itemsStub.length);
});
test("Each rendered link's href should match that item's target prop", () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    items: itemsStub
  }));
  wrapper.find('.pw-skip-links__anchor').forEach((item, idx) => {
    const target = itemsStub[idx].target;
    expect(item.prop('href')).toBe(target);
  });
});
test("Each rendered link's text should match that item's label prop", () => {
  const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
    items: itemsStub
  }));
  wrapper.find('.pw-skip-links__anchor').forEach((item, idx) => {
    const label = itemsStub[idx].label;
    expect(item.text()).toBe(label);
  });
});
test('fails propType validation if target does not start with "#"', () => {
  expect((0, _index.targetPropType)([{
    target: 'theCharacterShouldBeAtStart',
    label: ''
  }])).toEqual(new Error(invalidPropError));
});
test('fails propType validation if target has spaces', () => {
  expect((0, _index.targetPropType)([{
    target: '#no spaces allowed',
    label: ''
  }])).toEqual(new Error(invalidPropError));
});
test('fails propType validation if target has non-alphanumeric characters', () => {
  expect((0, _index.targetPropType)([{
    target: '#invalid@string.com',
    label: ''
  }])).toEqual(new Error(invalidPropError));
});