"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _index = _interopRequireDefault(require("./index"));

/**
 * @jest-environment node
 */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
describe('Split on SSR', () => {
  test('Does not render children when showOnVariant is specified', () => {
    let wrapper = (0, _enzyme.render)( /*#__PURE__*/_react.default.createElement(_index.default, {
      className: "outer",
      splitCookieName: "cookie1",
      showOnVariant: "A"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "child1"
    }, "Child1"), /*#__PURE__*/_react.default.createElement("div", {
      className: "child2"
    }, "Child2")));
    expect(wrapper.html()).toBeFalsy();
  });
  test('Renders children when showOnVariant is null', () => {
    let wrapper = (0, _enzyme.render)( /*#__PURE__*/_react.default.createElement(_index.default, {
      className: "outer",
      splitCookieName: "cookie1",
      showOnVariant: "null"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "child1"
    }, "Child1"), /*#__PURE__*/_react.default.createElement("div", {
      className: "child2"
    }, "Child2")));
    expect(wrapper.html()).toEqual(`<div class="child1">Child1</div><div class="child2">Child2</div>`);
  });
});