"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * Related component:
 *
 * * [Tabs](#!/Tabs)
 *
 * This component is used inside `Tabs` component as its children.
 *
 * @example ./DESIGN.md
 */
const TabsPanel = ({
  isActive,
  children,
  className
}) => {
  const classes = (0, _classnames.default)('pw-tabs__panel', {
    'pw--is-active': isActive
  }, className);
  const a11y = !isActive && {
    'aria-hidden': 'true',
    tabIndex: '-1'
  };
  return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: classes
  }, a11y, {
    role: "tabpanel"
  }), children);
};

TabsPanel.defaultProps = {
  isActive: false
};
TabsPanel.propTypes = {
  /**
   * PROVIDED INTERNALLY: Indicates whether this panel is active.
   */
  isActive: _propTypes.default.bool.isRequired,

  /**
   * The contents of this panel.
   */
  children: _propTypes.default.node,

  /**
   * Adds values to the `class` attribute of the root element.
   */
  className: _propTypes.default.string
};
var _default = TabsPanel;
exports.default = _default;