"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _a11y = require("../../../utils/a11y");

var _link = _interopRequireDefault(require("../../link"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
const TilePrimary = ({
  href,
  children,
  onClick
}) => {
  const tileProps = {
    className: 'pw-tile__primary'
  };

  if (onClick) {
    tileProps.onClick = onClick;
  }

  if (href) {
    return /*#__PURE__*/_react.default.createElement(_link.default, (0, _extends2.default)({
      href: href
    }, tileProps), children);
  } else {
    // Disabling the jsx-a11y/no-static-element-interactions rule because
    // there are some cases where we want the this container to behave as a
    // button, but it also contains a button. Nesting buttons inside buttons
    // in not valid markup.
    //
    // @url: https://developer.mozilla.org/en/docs/Web/HTML/Element/button

    /* eslint-disable jsx-a11y/no-static-element-interactions */
    const a11y = onClick && {
      role: 'button',
      tabIndex: '0',
      onKeyUp: (0, _a11y.onKeyUpWrapper)(onClick),
      onClick
    };
    return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({}, a11y, tileProps), children);
    /* eslint-enable jsx-a11y/no-static-element-interactions */
  }
};

TilePrimary.propTypes = {
  children: _propTypes.default.node,
  className: _propTypes.default.string,
  href: _propTypes.default.string,
  onClick: _propTypes.default.func
};
var _default = TilePrimary;
exports.default = _default;