"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.withUniqueIdWrapper = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactUid = require("react-uid");

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
// This is not a real component, this is just a placeholder used to ensure the
// README.md file gets auto-generated into our docs!
const withUniqueIdWrapper = () => /*#__PURE__*/_react.default.createElement("div", null);
/**
 * Higher order component that provides a unique id prop that is safe for
 * use with client and server-side rendered components.
 */


exports.withUniqueIdWrapper = withUniqueIdWrapper;

const withUniqueId = WrappedComponent => {
  // eslint-disable-next-line react/prefer-stateless-function
  class WithUniqueIdWrapper extends _react.default.Component {
    render() {
      return /*#__PURE__*/_react.default.createElement(_reactUid.UIDConsumer, null, uid => /*#__PURE__*/_react.default.createElement(WrappedComponent, (0, _extends2.default)({
        id: uid
      }, this.props), this.props.children));
    }

  }

  WithUniqueIdWrapper.propTypes = {
    children: _propTypes.default.node
  };
  return WithUniqueIdWrapper;
};

var _default = withUniqueId;
exports.default = _default;