"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.start = exports.registerServiceWorker = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _reactRouterDom = require("react-router-dom");

var _deviceContext = _interopRequireDefault(require("../universal/device-context"));

var _pwaApp = _interopRequireDefault(require("../universal/components/_pwa-app"));

var _appConfig = _interopRequireDefault(require("../universal/components/_app-config"));

var _switch = _interopRequireDefault(require("../universal/components/switch"));

var _routeComponent = require("../universal/components/route-component");

var _component = require("@loadable/component");

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* global __webpack_require__ */

/* istanbul ignore next */
const registerServiceWorker = url => {
  return Promise.resolve().then(() => {
    if ('serviceWorker' in navigator) {
      return Promise.resolve().then(() => new Promise(resolve => window.addEventListener('load', resolve))).then(() => navigator.serviceWorker.register(url)).then(registration => console.log(`ServiceWorker registration successful with scope: ${registration.scope}`)).catch(err => console.log('ServiceWorker registration failed: ', err));
    }
  });
};
/* istanbul ignore next */


exports.registerServiceWorker = registerServiceWorker;

const start = () => {
  const rootEl = document.getElementsByClassName('react-target')[0];
  const data = JSON.parse(document.getElementById('mobify-data').innerHTML); // Set all globals sent from the server on the window object.

  Object.entries(data).forEach(([key, value]) => {
    window[key] = value;
  }); // Tell webpack how to find javascript files

  Object.defineProperty(__webpack_require__, 'p', {
    get: () => window.Progressive.buildOrigin
  }); // On the browser we don't have request.locals, so we just provide an empty
  // object that exists for the lifetime of the app. AppConfig components can use
  // this to set up, eg. Redux stores.

  const locals = {}; // AppConfig.restore *must* come before getRoutes()

  _appConfig.default.restore(locals, window.__PRELOADED_STATE__.__STATE_MANAGEMENT_LIBRARY);

  const routes = (0, _routeComponent.getRoutes)(locals); // We need to tell the routeComponent HOC when the app is hydrating in order to
  // prevent pages from re-fetching data on the first client-side render. The
  // reason we do this is that we expect a render to have taken place
  // on the server already. That server-side render already called getProps()
  // and froze the application state as a JSON blob on the page.
  //
  // This is VERY fiddly – don't go crazy with window.__HYDRATING__. You have
  // been warned.

  window.__HYDRATING__ = true;
  const App = (0, _routeComponent.routeComponent)(_pwaApp.default, false, locals);
  const error = window.__ERROR__;
  return Promise.resolve().then(() => new Promise(resolve => (0, _component.loadableReady)(resolve))).then(() => {
    _reactDom.default.hydrate( /*#__PURE__*/_react.default.createElement(_reactRouterDom.BrowserRouter, null, /*#__PURE__*/_react.default.createElement(_deviceContext.default.Provider, {
      value: {
        type: window.__DEVICE_TYPE__
      }
    }, /*#__PURE__*/_react.default.createElement(_appConfig.default, {
      locals: locals
    }, /*#__PURE__*/_react.default.createElement(_switch.default, {
      error: error,
      appState: window.__PRELOADED_STATE__,
      routes: routes,
      App: App
    })))), rootEl, () => {
      window.__HYDRATING__ = false;
    });
  });
};

exports.start = start;