"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _reactRendering = require("./react-rendering");

var _express = require("./express");

var _supertest = _interopRequireDefault(require("supertest"));

var _jsdom = _interopRequireDefault(require("jsdom"));

var _path = _interopRequireDefault(require("path"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const opts = (overrides = {}) => {
  const fixtures = _path.default.join(__dirname, '..', '..', 'ssr', 'server', 'test_fixtures');

  const defaults = {
    buildDir: fixtures,
    mobify: {
      ssrEnabled: true,
      ssrParameters: {
        proxyConfigs: []
      }
    },
    sslFilePath: _path.default.join(fixtures, 'localhost.pem')
  };
  return _objectSpread(_objectSpread({}, defaults), overrides);
};

const mobile = 'Mozilla/5.0 (iPhone; U; CPU like Mac OS X; en) AppleWebKit/420+ (KHTML, like Gecko) Version/3.0 Mobile/1A543 Safari/419.3';
const tablet = 'Mozilla/5.0 (iPad; CPU OS 6_1 like Mac OS X) AppleWebKit/536.26 (KHTML, like Gecko) Version/6.0 Mobile/10B141 Safari/8536.25';
jest.mock('../universal/components/_pwa-app', () => {
  const React = require('react');

  const PropTypes = require('prop-types');

  class Root extends React.Component {
    static getProps() {
      return Promise.resolve();
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("h1", null, "This is the root"), this.props.children);
    }

  }

  Root.propTypes = {
    children: PropTypes.node
  };
  return {
    __esModule: true,
    default: Root
  };
});
jest.mock('../universal/routes', () => {
  const React = require('react');

  const PropTypes = require('prop-types');

  const errors = require('../universal/errors');

  const {
    Redirect
  } = require('react-router-dom');

  const {
    Helmet
  } = require('react-helmet'); // Test utility to exercise paths that work with @loadable/component.


  const fakeLoadable = Wrapped => {
    class FakeLoadable extends React.Component {
      static preload() {
        return Promise.resolve(Wrapped);
      }

      render() {
        return /*#__PURE__*/React.createElement(Wrapped, null);
      }

    }

    return FakeLoadable;
  };

  class PWAPage extends React.Component {
    static getProps() {
      return Promise.resolve();
    }

    static getTemplateName() {
      return 'templateName';
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "This is a PWA");
    }

  }

  class AMPPage extends React.Component {
    static getPageType() {
      return 'amp';
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "This is an AMP site");
    }

  }

  class UnknownErrorPage extends React.Component {
    static getProps() {
      throw new Error('This is an error');
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "This should not be rendered");
    }

  }

  class ThrowStringErrorPage extends React.Component {
    static getProps() {
      throw 'This is an error';
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "This should not be rendered");
    }

  }

  class KnownErrorPage extends React.Component {
    static getProps() {
      throw new errors.HTTPError(503, 'Service not available');
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "This should not be rendered");
    }

  }

  class GetProps404ErrorPage extends React.Component {
    static getProps() {
      throw new errors.HTTPNotFound('Not found');
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "This should not be rendered");
    }

  }

  class InitSetsStatusPage extends React.Component {
    static getProps({
      res
    }) {
      res.status(418);
      return Promise.resolve();
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "418 - I am a Teapot");
    }

  }

  class GetPropsRejectsWithEmptyString extends React.Component {
    static getProps() {
      return Promise.reject('');
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "This should not be rendered");
    }

  } // eslint-disable-next-line react/require-render-return


  class RenderThrowsError extends React.Component {
    static getProps() {
      return Promise.resolve();
    }

    render() {
      throw new Error('This is an error rendering');
    }

  }

  class GetPropsReturnsObject extends React.Component {
    static getProps() {
      return {
        prop: 'prop-value'
      };
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, this.props.prop);
    }

  }

  class RedirectPage extends React.Component {
    static getProps() {
      return Promise.resolve();
    }

    render() {
      return /*#__PURE__*/React.createElement(Redirect, {
        to: "/elsewhere/"
      });
    }

  }

  class HelmetPage extends React.Component {
    static getProps() {
      return Promise.resolve();
    }

    static getTemplateName() {
      return 'templateName';
    }

    render() {
      return /*#__PURE__*/React.createElement(Helmet, null, /*#__PURE__*/React.createElement("html", {
        lang: "helmet-html-attribute"
      }), /*#__PURE__*/React.createElement("body", {
        className: "helmet-body-attribute"
      }), /*#__PURE__*/React.createElement("title", null, "Helmet title"), /*#__PURE__*/React.createElement("base", {
        target: "_blank",
        href: "http://mysite.com/"
      }), /*#__PURE__*/React.createElement("meta", {
        name: "helmet-meta-1",
        content: "helmet-meta-1"
      }), /*#__PURE__*/React.createElement("meta", {
        property: "helmet-meta-2",
        content: "helmet-meta-2"
      }), /*#__PURE__*/React.createElement("link", {
        rel: "helmet-link-1",
        href: "http://mysite.com/example"
      }), /*#__PURE__*/React.createElement("link", {
        rel: "helmet-link-2",
        href: "http://mysite.com/img/apple-touch-icon-57x57.png"
      }), /*#__PURE__*/React.createElement("script", {
        src: "http://include.com/pathtojs.js",
        type: "text/javascript"
      }), /*#__PURE__*/React.createElement("script", {
        type: "application/ld+json"
      }, `
                        {
                            "@context": "http://schema.org"
                        }
                    `), /*#__PURE__*/React.createElement("noscript", null, `
                        <link rel="stylesheet" type="text/css" href="foo.css" />
                    `), /*#__PURE__*/React.createElement("style", {
        type: "text/css"
      }, `
                        body {
                            background-color: blue;
                        }
                    `));
    }

  }

  class XSSPage extends React.Component {
    static getProps() {
      return {
        prop: '<script>alert("hey! give me your money")</script>'
      };
    }

    render() {
      return /*#__PURE__*/React.createElement("div", null, "XSS attack");
    }

  }

  GetPropsReturnsObject.propTypes = {
    prop: PropTypes.node
  };
  return {
    __esModule: true,
    default: [{
      path: '/pwa/',
      component: fakeLoadable(PWAPage)
    }, {
      path: '/amp/',
      component: AMPPage
    }, {
      path: '/unknown-error/',
      component: UnknownErrorPage
    }, {
      path: '/throw-string/',
      component: ThrowStringErrorPage
    }, {
      path: '/known-error/',
      component: KnownErrorPage
    }, {
      path: '/404-in-get-props-error/',
      component: GetProps404ErrorPage
    }, {
      path: '/redirect/',
      component: RedirectPage
    }, {
      path: '/init-sets-status/',
      component: InitSetsStatusPage
    }, {
      path: '/get-props-returns-object/',
      component: GetPropsReturnsObject
    }, {
      path: '/get-props-rejects-with-empty-string/',
      component: GetPropsRejectsWithEmptyString
    }, {
      path: '/render-throws-error/',
      component: RenderThrowsError
    }, {
      path: '/render-helmet/',
      component: fakeLoadable(HelmetPage)
    }, {
      path: '/xss/',
      component: XSSPage
    }]
  };
});
describe('The Node SSR Environment', () => {
  let window;
  beforeAll(() => {
    const dom = new _jsdom.default.JSDOM(``);
    window = dom.window;
  });
  afterAll(() => {
    window = undefined;
  });
  /**
   * Build a JSDom document fragment in order to make sane assertions about
   * returned HTML. We *still* don't want to run these tests "in the browser"
   * though - these tests are for a server.
   */

  const buildDoc = html => {
    const doc = window.document.implementation.createHTMLDocument();
    doc.documentElement.innerHTML = html;
    return doc;
  };
  /**
   * Scripts are "safe" if they are external, not executable or on our whitelist of
   * static, inline scripts.
   */


  const scriptsAreSafe = doc => {
    const scripts = Array.from(doc.querySelectorAll('script'));
    expect(scripts.length > 0).toBe(true);
    return scripts.every(script => {
      const external = script.hasAttribute('src');
      const executable = !script.hasAttribute('type') || script.getAttribute('type') === 'application/javascript';
      const whitelisted = _reactRendering.WHITELISTED_INLINE_SCRIPTS.indexOf(script.innerHTML) >= 0;
      return external || !executable || whitelisted;
    });
  };

  const dataFromHTML = doc => JSON.parse(doc.querySelector('#mobify-data').innerHTML);

  const cases = [{
    description: `rendering PWA's for desktop`,
    req: {
      url: '/pwa/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(200);
      const html = res.text;
      console.error(html);
      const doc = buildDoc(html);
      const include = ['<div>This is a PWA</div>'];
      const data = dataFromHTML(doc);
      expect(data.__DEVICE_TYPE__).toEqual('DESKTOP');
      include.forEach(s => expect(html).toEqual(expect.stringContaining(s)));
      expect(scriptsAreSafe(doc)).toBe(true);
    }
  }, {
    description: `rendering PWA's for tablet`,
    req: {
      url: '/pwa/',
      headers: {
        'User-Agent': tablet
      }
    },
    assertions: res => {
      expect(res.statusCode).toBe(200);
      const html = res.text;
      const doc = buildDoc(html);
      const data = dataFromHTML(doc);
      expect(data.__DEVICE_TYPE__).toEqual('TABLET');
      const include = ['<div>This is a PWA</div>'];
      include.forEach(s => expect(html).toEqual(expect.stringContaining(s)));
      expect(scriptsAreSafe(doc)).toBe(true);
    }
  }, {
    description: `rendering PWA's for mobile`,
    req: {
      url: '/pwa/',
      headers: {
        'User-Agent': mobile
      }
    },
    assertions: res => {
      expect(res.statusCode).toBe(200);
      const html = res.text;
      const doc = buildDoc(html);
      const data = dataFromHTML(doc);
      expect(data.__DEVICE_TYPE__).toEqual('PHONE');
      const include = ['<div>This is a PWA</div>'];
      include.forEach(s => expect(html).toEqual(expect.stringContaining(s)));
      expect(scriptsAreSafe(doc)).toBe(true);
    }
  }, {
    description: `rendering PWA's in mobify-server-only mode should not execute scripts on the client`,
    req: {
      url: '/pwa/',
      query: {
        mobify_server_only: '1'
      }
    },
    assertions: res => {
      const html = res.text;
      const doc = buildDoc(html);
      const include = ['<div>This is a PWA</div>'];
      include.forEach(s => expect(html).toEqual(expect.stringContaining(s)));
      doc.querySelectorAll('script').forEach(script => {
        // application/json prevents execution!
        expect(script.getAttribute('type')).toBe('application/json');
      });
    }
  }, {
    description: `rendering AMP`,
    req: {
      url: '/amp/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(200);
      expect(res.text).toEqual(expect.stringContaining('<div>This is an AMP site</div>'));
    }
  }, {
    description: `404 when no route matches`,
    req: {
      url: '/this-should-404/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(404);
    }
  }, {
    description: `404 when getProps method throws a 404`,
    req: {
      url: '/404-in-get-props-error/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(404);
    }
  }, {
    description: `supports react-routers redirect mechanism`,
    req: {
      url: '/redirect/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(302);
    }
  }, {
    description: `500 on unknown errors in getProps`,
    req: {
      url: '/unknown-error/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(500);
    }
  }, {
    description: `500 when string (not Error) thrown in getProps`,
    req: {
      url: '/throw-string/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(500);
    }
  }, {
    description: `5XX on known HTTP errors in getProps`,
    req: {
      url: '/known-error/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(503);
    }
  }, {
    description: `Respects HTTP status codes set in init() methods`,
    req: {
      url: '/init-sets-status/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(418);
    }
  }, {
    description: `Works if the user returns an Object of props, instead of a Promise`,
    req: {
      url: '/get-props-returns-object/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(200);
      const html = res.text;
      const include = ['<div>prop-value</div>'];
      include.forEach(s => expect(html).toEqual(expect.stringContaining(s)));
    }
  }, {
    description: `Renders the error page if getProps rejects with an empty string`,
    req: {
      url: '/get-props-rejects-with-empty-string/'
    },
    assertions: res => {
      const html = res.text;
      const doc = buildDoc(html);
      const data = dataFromHTML(doc);
      expect(data.__ERROR__.message).toEqual('Internal Server Error');
      expect(typeof data.__ERROR__.stack).toEqual('string');
      expect(data.__ERROR__.status).toEqual(500);
    }
  }, {
    description: `Renders the error page instead if there is an error during component rendering`,
    req: {
      url: '/render-throws-error/'
    },
    assertions: res => {
      const html = res.text;
      const doc = buildDoc(html);
      const data = dataFromHTML(doc);
      expect(data.__ERROR__.message).toEqual('Internal Server Error');
      expect(typeof data.__ERROR__.stack).toEqual('string');
      expect(data.__ERROR__.status).toEqual(500);
      expect(res.statusCode).toBe(500);
    }
  }, {
    description: `Renders react-helmet tags`,
    req: {
      url: '/render-helmet/'
    },
    assertions: res => {
      expect(res.statusCode).toBe(200);
      const html = res.text;
      const doc = buildDoc(html);
      const head = doc.querySelector('head');
      expect(html.includes('lang="helmet-html-attribute"')).toBe(true);
      expect(doc.querySelector('body').className).toEqual('helmet-body-attribute');
      expect(head.querySelector(`title`).innerHTML).toEqual('Helmet title');
      expect(head.querySelector('base').target).toEqual('_blank');
      expect(doc.querySelector('style').innerHTML.includes('background-color: blue;')).toBe(true);
      expect(doc.querySelector('noscript').innerHTML.includes('<link rel="stylesheet" type="text/css" href="foo.css" />')).toBe(true);
      expect(doc.querySelector('noscript').innerHTML).toEqual(expect.stringContaining('<link rel="stylesheet" type="text/css" href="foo.css" />'));
      expect(head.querySelector('meta[name="helmet-meta-1"]')).not.toBe(null);
      expect(head.querySelector('meta[property="helmet-meta-2"]')).not.toBe(null);
      expect(head.querySelector('link[rel="helmet-link-1"]')).not.toBe(null);
      expect(head.querySelector('link[rel="helmet-link-2"]')).not.toBe(null);
      expect(head.querySelector('script[src="http://include.com/pathtojs.js"]')).not.toBe(null);
      expect(head.querySelector('script[type="application/ld+json"]').innerHTML.includes(`"@context": "http://schema.org"`)).toBe(true);
    }
  }, {
    description: `Frozen state is escaped preventing injection attacks`,
    req: {
      url: '/xss/'
    },
    assertions: res => {
      const html = res.text;
      const doc = buildDoc(html);
      const scriptContent = doc.querySelector('#mobify-data').innerHTML;
      expect(scriptContent).not.toContain('<script>');
    }
  }];
  cases.forEach(({
    description,
    req,
    assertions
  }) => {
    test(`renders PWA pages properly (${description})`, () => {
      const {
        url,
        headers,
        query
      } = req;
      const app = (0, _express.createApp)(opts());
      app.get('/*', _reactRendering.render);
      return (0, _supertest.default)(app).get(url).set(headers || {}).query(query || {}).then(res => assertions(res));
    });
  });
});