"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
const AMPDocument = props => {
  const {
    head,
    html,
    beforeBodyEnd
  } = props;
  return /*#__PURE__*/_react.default.createElement("html", {
    amp: ""
  }, /*#__PURE__*/_react.default.createElement("head", null, /*#__PURE__*/_react.default.createElement("meta", {
    charSet: "utf-8"
  }), /*#__PURE__*/_react.default.createElement("script", {
    async: true,
    src: "https://cdn.ampproject.org/v0.js"
  }), /*#__PURE__*/_react.default.createElement("link", {
    rel: "canonical",
    href: "<% canonical %>"
  }), /*#__PURE__*/_react.default.createElement("meta", {
    name: "viewport",
    content: "width=device-width,minimum-scale=1,initial-scale=1"
  }), /*#__PURE__*/_react.default.createElement("style", {
    "amp-custom": "",
    dangerouslySetInnerHTML: {
      __html: `h1 {color: red;}`
    }
  }), /*#__PURE__*/_react.default.createElement("style", {
    "amp-boilerplate": "",
    dangerouslySetInnerHTML: {
      __html: `body{-webkit-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-moz-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-ms-animation:-amp-start 8s steps(1,end) 0s 1 normal both;animation:-amp-start 8s steps(1,end) 0s 1 normal both}@-webkit-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-moz-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-ms-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-o-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}`
    }
  }), /*#__PURE__*/_react.default.createElement("noscript", null, /*#__PURE__*/_react.default.createElement("style", {
    "amp-boilerplate": "",
    dangerouslySetInnerHTML: {
      __html: `body{-webkit-animation:none;-moz-animation:none;-ms-animation:none;animation:none}`
    }
  })), head.map(child => child)), /*#__PURE__*/_react.default.createElement("body", null, /*#__PURE__*/_react.default.createElement("div", {
    dangerouslySetInnerHTML: {
      __html: html
    }
  }), beforeBodyEnd.map(child => child)));
};

AMPDocument.propTypes = {
  beforeBodyEnd: _propTypes.default.array.isRequired,
  head: _propTypes.default.array.isRequired,
  html: _propTypes.default.string.isRequired
};
AMPDocument.defaultProps = {
  beforeBodyEnd: [],
  head: [],
  html: ''
};
var _default = AMPDocument;
exports.default = _default;