"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/**
 * @module progressive-web-sdk/dist/ssr/universal/components/_error
 */

/**
 * This is a special component that can be overridden in a project. We recommend
 * doing this in your project in order to cutomize its behaviour. You can accomplish
 * things such as, making the error page brand specific, redirecting when errors
 * occur, or adding reporting.
 *
 * The default Error component provides a basic layout for displaying errors
 * that have occured during server-side rendering or client-side execution.
 *
 * @param {string} props.message - The errors message.
 * @param {string} props.stack - The errors stack trace.
 *      <br/>
 *      <br/>
 *      <i>This property is only defined in non-production environments.</i>
 * @param {number} props.status - The errors HTTP status code.
 *      <br/>
 *      <br/>
 *      <i>This property is typically used to distinguish 404 errors from other types.</i>
 */
const Error = ({
  message,
  stack,
  status
}) => {
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("h1", null, "Error Status: ", status), /*#__PURE__*/_react.default.createElement("pre", null, stack), /*#__PURE__*/_react.default.createElement("pre", null, message));
};

Error.propTypes = {
  message: _propTypes.default.string.isRequired,
  status: _propTypes.default.number.isRequired,
  stack: _propTypes.default.string
};
var _default = Error;
exports.default = _default;