"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _index = _interopRequireDefault(require("./index"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
describe('PWA Document', () => {
  test('Renders correctly', () => {
    const style = /*#__PURE__*/_react.default.createElement("link", {
      key: "stylesheet",
      rel: "stylesheet",
      href: "style.css"
    });

    const script = /*#__PURE__*/_react.default.createElement("script", {
      key: "script",
      src: "script.js"
    });

    const html = '<p>Hello world</p>';
    const bodyAttributes = {
      className: 'root'
    };
    const htmlAttributes = {
      lang: 'en',
      amp: undefined
    };
    const wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_index.default, {
      head: [style],
      html: html,
      beforeBodyEnd: [script],
      htmlAttributes: htmlAttributes,
      bodyAttributes: bodyAttributes
    }));
    expect(wrapper.contains(style)).toBe(true);
    expect(wrapper.contains(script)).toBe(true);
    expect(wrapper.html().includes(html)).toBe(true);
    expect(wrapper.html().includes('<body class="root">')).toBe(true);
    expect(wrapper.html().includes('<html lang="en">')).toBe(true);
  });
});