"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HTTPNotFound = exports.HTTPError = void 0;

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
class HTTPError extends Error {
  constructor(status, message) {
    super(message);
    this.constructor = HTTPError;
    this.__proto__ = HTTPError.prototype;
    this.message = message;
    this.status = status;
  }

  toString() {
    return `HTTPError ${this.status}: ${this.message}`;
  }

}

exports.HTTPError = HTTPError;

class HTTPNotFound extends HTTPError {
  constructor(message) {
    super(404, message);
    this.constructor = HTTPNotFound;
    this.__proto__ = HTTPNotFound.prototype;
  }

}

exports.HTTPNotFound = HTTPNotFound;