"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pages = exports.PAGEEVENTS = void 0;

var _eventEmitter = _interopRequireDefault(require("event-emitter"));

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
const PAGEEVENTS = {
  PAGELOAD: 'PAGELOAD',
  ERROR: 'ERROR'
};
exports.PAGEEVENTS = PAGEEVENTS;

class Pages {
  pageLoad(templateName, start, end) {
    const payload = {
      templateName,
      start,
      end
    };
    this.emit(PAGEEVENTS.PAGELOAD, payload);
  }

  error(name, content) {
    const payload = {
      name,
      content
    };
    this.emit(PAGEEVENTS.ERROR, payload);
  }

}

(0, _eventEmitter.default)(Pages.prototype);
const pages = new Pages();
exports.pages = pages;