"use strict";

var _events = require("./events");

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
describe('Page Events', () => {
  beforeEach(() => {});
  test('emit and receive a PAGELOAD Page Event', () => {
    expect.assertions(1);
    return new Promise(resolve => {
      _events.pages.on(_events.PAGEEVENTS.PAGELOAD, evt => {
        expect(JSON.stringify(evt)).toEqual(JSON.stringify({
          templateName: 'blah',
          start: 123,
          end: 456
        }));
        return resolve();
      });

      _events.pages.pageLoad('blah', 123, 456);
    });
  });
  test('emit and receive a ERROR Page Event', () => {
    expect.assertions(1);
    return new Promise(resolve => {
      _events.pages.on(_events.PAGEEVENTS.ERROR, evt => {
        expect(JSON.stringify(evt)).toEqual(JSON.stringify({
          name: 'blah',
          content: 'more blah'
        }));
        return resolve();
      });

      _events.pages.error('blah', 'more blah');
    });
  });
});