"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _component = require("./component");

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */

/* Copyright (c) 2020 Mobify Research & Development Inc. All rights reserved. */

/* * *  *  * *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  *  * */
describe('getBoundedValue', () => {
  test('returns the minimum value when value is less than minimum value', () => {
    const result = (0, _component.getBoundedValue)(2, 5, 10);
    expect(result).toBe(5);
  });
  test('returns the maximumValue when value is greater than maximum value', () => {
    const result = (0, _component.getBoundedValue)(11, 5, 10);
    expect(result).toBe(10);
  });
  test('returns the value when it is between minimum and maximum value', () => {
    const result = (0, _component.getBoundedValue)(6, 5, 10);
    expect(result).toBe(6);
  });
});
describe('getDisplayName', () => {
  test('returns displayName if provided', () => {
    // eslint-disable-next-line react/prefer-stateless-function
    class AMockComponent extends _react.default.Component {
      render() {
        return /*#__PURE__*/_react.default.createElement("div", null, "More mock html");
      }

    }

    AMockComponent.displayName = 'Foo';
    expect((0, _component.getDisplayName)(AMockComponent)).toEqual('Foo');
  });
  test('returns name if provided', () => {
    // eslint-disable-next-line react/prefer-stateless-function
    class AnotherMockComponent extends _react.default.Component {
      render() {
        return /*#__PURE__*/_react.default.createElement("div", null, "More mock html");
      }

    }

    expect((0, _component.getDisplayName)(AnotherMockComponent)).toEqual('AnotherMockComponent');
  });
  test('returns default string `Component` if no name is present', () => {
    expect((0, _component.getDisplayName)( /*#__PURE__*/_react.default.createElement("div", null))).toEqual('Component');
  });
});